#ifndef QRK_LAYER_INTERFACE_H
#define QRK_LAYER_INTERFACE_H

/*!
  \file
  \brief レイヤーのインターフェース定義

  \author Satofumi KAMIMURA

  $Id: LayerInterface.h 912 2009-05-20 14:10:37Z satofumi $
*/

namespace qrk
{
  class LayerInterface
  {
  public:
    virtual ~LayerInterface(void)
    {
    }


    virtual void setAlpha(float alpha) = 0;
    virtual void draw(void) = 0;
  };
}

#endif /* !QRK_LAYER_INTERFACE_H */
